현재 온라인  

/v1/beta_program/

Beta Program invite-code endpoints. Auth: every endpoint requires an authenticated user ($_APIUserID > 0).
GET

/v1/beta_program/get_invite_commission_preview

#
Return the legacy invite-friends commission preview as structured data, using the authenticated user's current commission permissions.
요청 예제(cURL)
curl --get \
  'https://kr.appointmenttrader.com/v1/beta_program/get_invite_commission_preview' \
  --data-urlencode 'key={{API_KEY}}'

반환값

JSON
See the shared response schema and synthetic example.
응답 필드
필드유형필수설명
$beta_program_get_invite_commission_preview_Response 예
$.oneOf[0] 예
$.oneOf[0].allOf[0]object 예
$.oneOf[0].allOf[0].RequestUserAliasstring 예
$.oneOf[0].allOf[0].RequestPathstring | null 예
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" 예
$.oneOf[0].allOf[0].ResponseCodeinteger 예
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage 아니요
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage 아니요
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring 아니요
$.oneOf[0].allOf[1]object 예
$.oneOf[0].allOf[1].Payloadobject 예
$.oneOf[0].allOf[1].Payload.headlinestring 예
$.oneOf[0].allOf[1].Payload.introstring 예
$.oneOf[0].allOf[1].Payload.friendColumnLabelstring 예
$.oneOf[0].allOf[1].Payload.earnColumnLabelstring 예
$.oneOf[0].allOf[1].Payload.totalLabelstring 예
$.oneOf[0].allOf[1].Payload.totalFormattedstring 예
$.oneOf[0].allOf[1].Payload.footnotestring 예
$.oneOf[0].allOf[1].Payload.statusNotestring 예
$.oneOf[0].allOf[1].Payload.statusURLstring 예
$.oneOf[0].allOf[1].Payload.examplePurchaseLabelstring 예
$.oneOf[0].allOf[1].Payload.totalnumber 예
$.oneOf[0].allOf[1].Payload.examplePurchasePriceinteger 예
$.oneOf[0].allOf[1].Payload.standardFeePercentnumber 예
$.oneOf[0].allOf[1].Payload.rowsarray 예
$.oneOf[0].allOf[1].Payload.rows[]object 아니요
$.oneOf[0].allOf[1].Payload.rows[].keystring ["first_purchase","monthly_use","first_sale","recurring_sales"] 예
$.oneOf[0].allOf[1].Payload.rows[].labelstring 예
$.oneOf[0].allOf[1].Payload.rows[].amountnumber 예
$.oneOf[0].allOf[1].Payload.rows[].amountFormattedstring 예
$.oneOf[1]object 예
$.oneOf[1].RequestUserAliasstring 예
$.oneOf[1].RequestPathstring | null 예
$.oneOf[1].RequestStatus = "Failed" 예
$.oneOf[1].ResponseCodeinteger 예
$.oneOf[1].ResponseMessageAPIResponseMessage 예
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null 예
$.oneOf[1].ResponseMessage.oneOf[1]array 예
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage 아니요
$.oneOf[1].ResponseMessage.oneOf[2]object 예
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage 아니요
$.oneOf[1].RequestImpersonatedByUserAliasstring 아니요
응답 예제
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/beta_program/get_invite_commission_preview",
    "RequestUserAlias": "example-user",
    "Payload": {
        "headline": "synthetic-example",
        "intro": "synthetic-example",
        "friendColumnLabel": "synthetic-example",
        "earnColumnLabel": "synthetic-example",
        "totalLabel": "synthetic-example",
        "totalFormatted": "synthetic-example",
        "footnote": "synthetic-example",
        "statusNote": "synthetic-example",
        "statusURL": "synthetic-example",
        "examplePurchaseLabel": "synthetic-example",
        "total": 0,
        "examplePurchasePrice": 0,
        "standardFeePercent": 0,
        "rows": []
    }
}
기계가 읽을 수 있는 엔드포인트 문서
GET

/v1/beta_program/get_invites

#
Return the authenticated user's beta invite summary, including remaining credits, return credits from redeemed codes, active unused codes, and redeemed codes with claimant details.
요청 예제(cURL)
curl --get \
  'https://kr.appointmenttrader.com/v1/beta_program/get_invites' \
  --data-urlencode 'key={{API_KEY}}'

반환값

JSON
See the shared response schema and synthetic example.
응답 필드
필드유형필수설명
$beta_program_get_invites_Response 예
$.oneOf[0] 예
$.oneOf[0].allOf[0]object 예
$.oneOf[0].allOf[0].RequestUserAliasstring 예
$.oneOf[0].allOf[0].RequestPathstring | null 예
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" 예
$.oneOf[0].allOf[0].ResponseCodeinteger 예
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage 아니요
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage 아니요
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring 아니요
$.oneOf[0].allOf[1]object 예
$.oneOf[0].allOf[1].Payloadobject 예
$.oneOf[0].allOf[1].Payload.baseCreditsinteger 예
$.oneOf[0].allOf[1].Payload.signupCreditsinteger 예
$.oneOf[0].allOf[1].Payload.redeemedReturnCreditsinteger 예
$.oneOf[0].allOf[1].Payload.issuedInviteCountinteger 예
$.oneOf[0].allOf[1].Payload.unusedInviteCountinteger 예
$.oneOf[0].allOf[1].Payload.redeemedCountinteger 예
$.oneOf[0].allOf[1].Payload.invitesLeftinteger 예
$.oneOf[0].allOf[1].Payload.invitesLeftLabelstring 예
$.oneOf[0].allOf[1].Payload.sidebarLabelstring 예
$.oneOf[0].allOf[1].Payload.activeCodesarray 예
$.oneOf[0].allOf[1].Payload.activeCodes[]object 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].codestring 예
$.oneOf[0].allOf[1].Payload.activeCodes[].formattedCodestring 예
$.oneOf[0].allOf[1].Payload.activeCodes[].inviteURLstring 예
$.oneOf[0].allOf[1].Payload.activeCodes[].createdDatestring 예
$.oneOf[0].allOf[1].Payload.activeCodes[].createdDateLabelstring 예
$.oneOf[0].allOf[1].Payload.activeCodes[].issuedToAliasstring 예
$.oneOf[0].allOf[1].Payload.activeCodes[].issuedToEmailstring 예
$.oneOf[0].allOf[1].Payload.activeCodes[].issuedToLabelstring 예
$.oneOf[0].allOf[1].Payload.activeCodes[].issuedToProfileURLstring 예
$.oneOf[0].allOf[1].Payload.activeCodes[].issuedByAliasstring 예
$.oneOf[0].allOf[1].Payload.activeCodes[].issueSourcestring 예
$.oneOf[0].allOf[1].Payload.activeCodes[].idinteger 예
$.oneOf[0].allOf[1].Payload.activeCodes[].issuedToUserIDinteger 예
$.oneOf[0].allOf[1].Payload.activeCodes[].issuedByUserIDinteger 예
$.oneOf[0].allOf[1].Payload.activeCodes[].contextObjectIDinteger 예
$.oneOf[0].allOf[1].Payload.activeCodes[].isInviteCreditExemptboolean 예
$.oneOf[0].allOf[1].Payload.activeCodes[].invitePurposestring ["","beta_access","generic_invite","board_secretary","board_membership"] 예
$.oneOf[0].allOf[1].Payload.activeCodes[].contextTypestring ["","board"] 예
$.oneOf[0].allOf[1].Payload.activeCodes[].presetProfileIntentstring ["","buy","sell","socialize","location-partner"] 예
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayloadInviteContext 예
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0]object 예
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].boardIdinteger 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities.anyOf[0]array 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities.anyOf[0][]string ["invite","read","write","delete","move","schedule","polls","moderate"] 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities.anyOf[1]string 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities.anyOf[2]object 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities.anyOf[2].* 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities.anyOf[2].*.anyOf[0]boolean 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities.anyOf[2].*.anyOf[1]integer 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities.anyOf[2].*.anyOf[2]string 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].profileImageMediaIDDatabaseInteger 아니요Integer value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].profileImageMediaID.oneOf[0]integer 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].profileImageMediaID.oneOf[1]string 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].bannerImageMediaIDDatabaseInteger 아니요Integer value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].bannerImageMediaID.oneOf[0]integer 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].bannerImageMediaID.oneOf[1]string 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*InviteContextJSONValue 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*.anyOf[0]null 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*.anyOf[1]string 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*.anyOf[2]number 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*.anyOf[3]boolean 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*.anyOf[4]array 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*.anyOf[4][]InviteContextJSONValue 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*.anyOf[5]object 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*.anyOf[5].*InviteContextJSONValue 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1]array 예
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][]InviteContextJSONValue 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][].anyOf[0]null 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][].anyOf[1]string 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][].anyOf[2]number 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][].anyOf[3]boolean 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][].anyOf[4]array 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][].anyOf[4][]InviteContextJSONValue 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][].anyOf[5]object 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][].anyOf[5].*InviteContextJSONValue 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodesarray 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[]object 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].codestring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].formattedCodestring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].inviteURLstring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].createdDatestring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].createdDateLabelstring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].issuedToAliasstring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].issuedToEmailstring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].issuedToLabelstring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].issuedToProfileURLstring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].issuedByAliasstring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].issueSourcestring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].idinteger 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].issuedToUserIDinteger 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].issuedByUserIDinteger 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextObjectIDinteger 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].isInviteCreditExemptboolean 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].invitePurposestring ["","beta_access","generic_invite","board_secretary","board_membership"] 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextTypestring ["","board"] 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].presetProfileIntentstring ["","buy","sell","socialize","location-partner"] 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayloadInviteContext 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0]object 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].boardIdinteger 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities.anyOf[0]array 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities.anyOf[0][]string ["invite","read","write","delete","move","schedule","polls","moderate"] 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities.anyOf[1]string 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities.anyOf[2]object 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities.anyOf[2].* 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities.anyOf[2].*.anyOf[0]boolean 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities.anyOf[2].*.anyOf[1]integer 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities.anyOf[2].*.anyOf[2]string 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].profileImageMediaIDDatabaseInteger 아니요Integer value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].profileImageMediaID.oneOf[0]integer 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].profileImageMediaID.oneOf[1]string 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].bannerImageMediaIDDatabaseInteger 아니요Integer value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].bannerImageMediaID.oneOf[0]integer 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].bannerImageMediaID.oneOf[1]string 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*InviteContextJSONValue 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*.anyOf[0]null 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*.anyOf[1]string 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*.anyOf[2]number 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*.anyOf[3]boolean 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*.anyOf[4]array 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*.anyOf[4][]InviteContextJSONValue 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*.anyOf[5]object 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*.anyOf[5].*InviteContextJSONValue 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1]array 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][]InviteContextJSONValue 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][].anyOf[0]null 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][].anyOf[1]string 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][].anyOf[2]number 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][].anyOf[3]boolean 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][].anyOf[4]array 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][].anyOf[4][]InviteContextJSONValue 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][].anyOf[5]object 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][].anyOf[5].*InviteContextJSONValue 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].redeemedByUserIDinteger 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].redeemedByAliasstring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].redeemedByAvatarstring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].redeemedByProfileURLstring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].redeemedDatestring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].redeemedDateLabelstring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].redeemSourcestring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].isSignupCreditGrantedboolean 예
$.oneOf[1]object 예
$.oneOf[1].RequestUserAliasstring 예
$.oneOf[1].RequestPathstring | null 예
$.oneOf[1].RequestStatus = "Failed" 예
$.oneOf[1].ResponseCodeinteger 예
$.oneOf[1].ResponseMessageAPIResponseMessage 예
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null 예
$.oneOf[1].ResponseMessage.oneOf[1]array 예
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage 아니요
$.oneOf[1].ResponseMessage.oneOf[2]object 예
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage 아니요
$.oneOf[1].RequestImpersonatedByUserAliasstring 아니요
응답 예제
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/beta_program/get_invites",
    "RequestUserAlias": "example-user",
    "Payload": {
        "baseCredits": 0,
        "signupCredits": 0,
        "redeemedReturnCredits": 0,
        "issuedInviteCount": 0,
        "unusedInviteCount": 0,
        "redeemedCount": 0,
        "invitesLeft": 0,
        "invitesLeftLabel": "synthetic-example",
        "sidebarLabel": "synthetic-example",
        "activeCodes": [],
        "redeemedCodes": []
    }
}
기계가 읽을 수 있는 엔드포인트 문서
POST

/v1/beta_program/set_create_invite_code

#
Create one unused beta invite code if the authenticated user has invite credits remaining. Creating an unused code consumes one visible credit.

매개변수

이름유형필수기본값설명
isWritingRequest bool 아니요 false Set true to actually create the invite code.
요청 예제(cURL)
curl --request POST \
  'https://kr.appointmenttrader.com/v1/beta_program/set_create_invite_code' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}'

반환값

JSON
See the shared response schema and synthetic example.
응답 필드
필드유형필수설명
$beta_program_set_create_invite_code_Response 예
$.oneOf[0] 예
$.oneOf[0].allOf[0]object 예
$.oneOf[0].allOf[0].RequestUserAliasstring 예
$.oneOf[0].allOf[0].RequestPathstring | null 예
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" 예
$.oneOf[0].allOf[0].ResponseCodeinteger 예
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage 아니요
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage 아니요
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring 아니요
$.oneOf[0].allOf[1]object 예
$.oneOf[0].allOf[1].Payloadobject 예
$.oneOf[0].allOf[1].Payload.baseCreditsinteger 예
$.oneOf[0].allOf[1].Payload.signupCreditsinteger 예
$.oneOf[0].allOf[1].Payload.redeemedReturnCreditsinteger 예
$.oneOf[0].allOf[1].Payload.issuedInviteCountinteger 예
$.oneOf[0].allOf[1].Payload.unusedInviteCountinteger 예
$.oneOf[0].allOf[1].Payload.redeemedCountinteger 예
$.oneOf[0].allOf[1].Payload.invitesLeftinteger 예
$.oneOf[0].allOf[1].Payload.invitesLeftLabelstring 예
$.oneOf[0].allOf[1].Payload.sidebarLabelstring 예
$.oneOf[0].allOf[1].Payload.activeCodesarray 예
$.oneOf[0].allOf[1].Payload.activeCodes[]object 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].codestring 예
$.oneOf[0].allOf[1].Payload.activeCodes[].formattedCodestring 예
$.oneOf[0].allOf[1].Payload.activeCodes[].inviteURLstring 예
$.oneOf[0].allOf[1].Payload.activeCodes[].createdDatestring 예
$.oneOf[0].allOf[1].Payload.activeCodes[].createdDateLabelstring 예
$.oneOf[0].allOf[1].Payload.activeCodes[].issuedToAliasstring 예
$.oneOf[0].allOf[1].Payload.activeCodes[].issuedToEmailstring 예
$.oneOf[0].allOf[1].Payload.activeCodes[].issuedToLabelstring 예
$.oneOf[0].allOf[1].Payload.activeCodes[].issuedToProfileURLstring 예
$.oneOf[0].allOf[1].Payload.activeCodes[].issuedByAliasstring 예
$.oneOf[0].allOf[1].Payload.activeCodes[].issueSourcestring 예
$.oneOf[0].allOf[1].Payload.activeCodes[].idinteger 예
$.oneOf[0].allOf[1].Payload.activeCodes[].issuedToUserIDinteger 예
$.oneOf[0].allOf[1].Payload.activeCodes[].issuedByUserIDinteger 예
$.oneOf[0].allOf[1].Payload.activeCodes[].contextObjectIDinteger 예
$.oneOf[0].allOf[1].Payload.activeCodes[].isInviteCreditExemptboolean 예
$.oneOf[0].allOf[1].Payload.activeCodes[].invitePurposestring ["","beta_access","generic_invite","board_secretary","board_membership"] 예
$.oneOf[0].allOf[1].Payload.activeCodes[].contextTypestring ["","board"] 예
$.oneOf[0].allOf[1].Payload.activeCodes[].presetProfileIntentstring ["","buy","sell","socialize","location-partner"] 예
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayloadInviteContext 예
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0]object 예
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].boardIdinteger 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities.anyOf[0]array 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities.anyOf[0][]string ["invite","read","write","delete","move","schedule","polls","moderate"] 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities.anyOf[1]string 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities.anyOf[2]object 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities.anyOf[2].* 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities.anyOf[2].*.anyOf[0]boolean 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities.anyOf[2].*.anyOf[1]integer 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities.anyOf[2].*.anyOf[2]string 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].profileImageMediaIDDatabaseInteger 아니요Integer value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].profileImageMediaID.oneOf[0]integer 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].profileImageMediaID.oneOf[1]string 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].bannerImageMediaIDDatabaseInteger 아니요Integer value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].bannerImageMediaID.oneOf[0]integer 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].bannerImageMediaID.oneOf[1]string 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*InviteContextJSONValue 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*.anyOf[0]null 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*.anyOf[1]string 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*.anyOf[2]number 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*.anyOf[3]boolean 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*.anyOf[4]array 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*.anyOf[4][]InviteContextJSONValue 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*.anyOf[5]object 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*.anyOf[5].*InviteContextJSONValue 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1]array 예
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][]InviteContextJSONValue 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][].anyOf[0]null 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][].anyOf[1]string 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][].anyOf[2]number 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][].anyOf[3]boolean 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][].anyOf[4]array 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][].anyOf[4][]InviteContextJSONValue 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][].anyOf[5]object 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][].anyOf[5].*InviteContextJSONValue 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodesarray 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[]object 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].codestring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].formattedCodestring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].inviteURLstring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].createdDatestring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].createdDateLabelstring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].issuedToAliasstring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].issuedToEmailstring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].issuedToLabelstring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].issuedToProfileURLstring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].issuedByAliasstring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].issueSourcestring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].idinteger 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].issuedToUserIDinteger 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].issuedByUserIDinteger 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextObjectIDinteger 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].isInviteCreditExemptboolean 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].invitePurposestring ["","beta_access","generic_invite","board_secretary","board_membership"] 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextTypestring ["","board"] 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].presetProfileIntentstring ["","buy","sell","socialize","location-partner"] 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayloadInviteContext 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0]object 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].boardIdinteger 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities.anyOf[0]array 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities.anyOf[0][]string ["invite","read","write","delete","move","schedule","polls","moderate"] 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities.anyOf[1]string 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities.anyOf[2]object 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities.anyOf[2].* 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities.anyOf[2].*.anyOf[0]boolean 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities.anyOf[2].*.anyOf[1]integer 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities.anyOf[2].*.anyOf[2]string 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].profileImageMediaIDDatabaseInteger 아니요Integer value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].profileImageMediaID.oneOf[0]integer 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].profileImageMediaID.oneOf[1]string 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].bannerImageMediaIDDatabaseInteger 아니요Integer value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].bannerImageMediaID.oneOf[0]integer 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].bannerImageMediaID.oneOf[1]string 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*InviteContextJSONValue 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*.anyOf[0]null 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*.anyOf[1]string 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*.anyOf[2]number 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*.anyOf[3]boolean 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*.anyOf[4]array 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*.anyOf[4][]InviteContextJSONValue 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*.anyOf[5]object 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*.anyOf[5].*InviteContextJSONValue 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1]array 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][]InviteContextJSONValue 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][].anyOf[0]null 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][].anyOf[1]string 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][].anyOf[2]number 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][].anyOf[3]boolean 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][].anyOf[4]array 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][].anyOf[4][]InviteContextJSONValue 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][].anyOf[5]object 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][].anyOf[5].*InviteContextJSONValue 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].redeemedByUserIDinteger 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].redeemedByAliasstring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].redeemedByAvatarstring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].redeemedByProfileURLstring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].redeemedDatestring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].redeemedDateLabelstring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].redeemSourcestring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].isSignupCreditGrantedboolean 예
$.oneOf[0].allOf[1].Payload.createdInviteobject 아니요
$.oneOf[0].allOf[1].Payload.createdInvite.codestring 예
$.oneOf[0].allOf[1].Payload.createdInvite.formattedCodestring 예
$.oneOf[0].allOf[1].Payload.createdInvite.inviteURLstring 예
$.oneOf[0].allOf[1].Payload.createdInvite.createdDatestring 예
$.oneOf[0].allOf[1].Payload.createdInvite.createdDateLabelstring 예
$.oneOf[0].allOf[1].Payload.createdInvite.issuedToAliasstring 예
$.oneOf[0].allOf[1].Payload.createdInvite.issuedToEmailstring 예
$.oneOf[0].allOf[1].Payload.createdInvite.issuedToLabelstring 예
$.oneOf[0].allOf[1].Payload.createdInvite.issuedToProfileURLstring 예
$.oneOf[0].allOf[1].Payload.createdInvite.issuedByAliasstring 예
$.oneOf[0].allOf[1].Payload.createdInvite.issueSourcestring 예
$.oneOf[0].allOf[1].Payload.createdInvite.idinteger 예
$.oneOf[0].allOf[1].Payload.createdInvite.issuedToUserIDinteger 예
$.oneOf[0].allOf[1].Payload.createdInvite.issuedByUserIDinteger 예
$.oneOf[0].allOf[1].Payload.createdInvite.contextObjectIDinteger 예
$.oneOf[0].allOf[1].Payload.createdInvite.isInviteCreditExemptboolean 예
$.oneOf[0].allOf[1].Payload.createdInvite.invitePurposestring ["","beta_access","generic_invite","board_secretary","board_membership"] 예
$.oneOf[0].allOf[1].Payload.createdInvite.contextTypestring ["","board"] 예
$.oneOf[0].allOf[1].Payload.createdInvite.presetProfileIntentstring ["","buy","sell","socialize","location-partner"] 예
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayloadInviteContext 예
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0]object 예
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0].boardIdinteger 아니요
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0].capabilities 아니요
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0].capabilities.anyOf[0]array 아니요
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0].capabilities.anyOf[0][]string ["invite","read","write","delete","move","schedule","polls","moderate"] 아니요
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0].capabilities.anyOf[1]string 아니요
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0].capabilities.anyOf[2]object 아니요
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0].capabilities.anyOf[2].* 아니요
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0].capabilities.anyOf[2].*.anyOf[0]boolean 아니요
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0].capabilities.anyOf[2].*.anyOf[1]integer 아니요
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0].capabilities.anyOf[2].*.anyOf[2]string 아니요
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0].profileImageMediaIDDatabaseInteger 아니요Integer value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0].profileImageMediaID.oneOf[0]integer 아니요
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0].profileImageMediaID.oneOf[1]string 아니요
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0].bannerImageMediaIDDatabaseInteger 아니요Integer value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0].bannerImageMediaID.oneOf[0]integer 아니요
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0].bannerImageMediaID.oneOf[1]string 아니요
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0].*InviteContextJSONValue 아니요
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0].*.anyOf[0]null 아니요
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0].*.anyOf[1]string 아니요
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0].*.anyOf[2]number 아니요
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0].*.anyOf[3]boolean 아니요
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0].*.anyOf[4]array 아니요
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0].*.anyOf[4][]InviteContextJSONValue 아니요
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0].*.anyOf[5]object 아니요
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0].*.anyOf[5].*InviteContextJSONValue 아니요
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[1]array 예
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[1][]InviteContextJSONValue 아니요
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[1][].anyOf[0]null 아니요
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[1][].anyOf[1]string 아니요
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[1][].anyOf[2]number 아니요
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[1][].anyOf[3]boolean 아니요
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[1][].anyOf[4]array 아니요
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[1][].anyOf[4][]InviteContextJSONValue 아니요
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[1][].anyOf[5]object 아니요
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[1][].anyOf[5].*InviteContextJSONValue 아니요
$.oneOf[1]object 예
$.oneOf[1].RequestUserAliasstring 예
$.oneOf[1].RequestPathstring | null 예
$.oneOf[1].RequestStatus = "Failed" 예
$.oneOf[1].ResponseCodeinteger 예
$.oneOf[1].ResponseMessageAPIResponseMessage 예
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null 예
$.oneOf[1].ResponseMessage.oneOf[1]array 예
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage 아니요
$.oneOf[1].ResponseMessage.oneOf[2]object 예
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage 아니요
$.oneOf[1].RequestImpersonatedByUserAliasstring 아니요
응답 예제
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/beta_program/set_create_invite_code",
    "RequestUserAlias": "example-user",
    "Payload": {
        "baseCredits": 0,
        "signupCredits": 0,
        "redeemedReturnCredits": 0,
        "issuedInviteCount": 0,
        "unusedInviteCount": 0,
        "redeemedCount": 0,
        "invitesLeft": 0,
        "invitesLeftLabel": "synthetic-example",
        "sidebarLabel": "synthetic-example",
        "activeCodes": [],
        "redeemedCodes": []
    }
}
기계가 읽을 수 있는 엔드포인트 문서
POST

/v1/beta_program/set_revoke_invite_code

#
Revoke an unused beta invite code owned by the authenticated user. Revoking an unused code returns one visible invite credit.

매개변수

이름유형필수기본값설명
inviteCodeID int 예 — Invite code ID from get_invites.
isWritingRequest bool 아니요 false Set true to actually revoke the invite code.
요청 예제(cURL)
curl --request POST \
  'https://kr.appointmenttrader.com/v1/beta_program/set_revoke_invite_code' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'inviteCodeID={{inviteCodeID}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}'

반환값

JSON
See the shared response schema and synthetic example.
응답 필드
필드유형필수설명
$beta_program_set_revoke_invite_code_Response 예
$.oneOf[0] 예
$.oneOf[0].allOf[0]object 예
$.oneOf[0].allOf[0].RequestUserAliasstring 예
$.oneOf[0].allOf[0].RequestPathstring | null 예
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" 예
$.oneOf[0].allOf[0].ResponseCodeinteger 예
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage 아니요
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage 아니요
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring 아니요
$.oneOf[0].allOf[1]object 예
$.oneOf[0].allOf[1].Payloadobject 예
$.oneOf[0].allOf[1].Payload.baseCreditsinteger 예
$.oneOf[0].allOf[1].Payload.signupCreditsinteger 예
$.oneOf[0].allOf[1].Payload.redeemedReturnCreditsinteger 예
$.oneOf[0].allOf[1].Payload.issuedInviteCountinteger 예
$.oneOf[0].allOf[1].Payload.unusedInviteCountinteger 예
$.oneOf[0].allOf[1].Payload.redeemedCountinteger 예
$.oneOf[0].allOf[1].Payload.invitesLeftinteger 예
$.oneOf[0].allOf[1].Payload.invitesLeftLabelstring 예
$.oneOf[0].allOf[1].Payload.sidebarLabelstring 예
$.oneOf[0].allOf[1].Payload.activeCodesarray 예
$.oneOf[0].allOf[1].Payload.activeCodes[]object 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].codestring 예
$.oneOf[0].allOf[1].Payload.activeCodes[].formattedCodestring 예
$.oneOf[0].allOf[1].Payload.activeCodes[].inviteURLstring 예
$.oneOf[0].allOf[1].Payload.activeCodes[].createdDatestring 예
$.oneOf[0].allOf[1].Payload.activeCodes[].createdDateLabelstring 예
$.oneOf[0].allOf[1].Payload.activeCodes[].issuedToAliasstring 예
$.oneOf[0].allOf[1].Payload.activeCodes[].issuedToEmailstring 예
$.oneOf[0].allOf[1].Payload.activeCodes[].issuedToLabelstring 예
$.oneOf[0].allOf[1].Payload.activeCodes[].issuedToProfileURLstring 예
$.oneOf[0].allOf[1].Payload.activeCodes[].issuedByAliasstring 예
$.oneOf[0].allOf[1].Payload.activeCodes[].issueSourcestring 예
$.oneOf[0].allOf[1].Payload.activeCodes[].idinteger 예
$.oneOf[0].allOf[1].Payload.activeCodes[].issuedToUserIDinteger 예
$.oneOf[0].allOf[1].Payload.activeCodes[].issuedByUserIDinteger 예
$.oneOf[0].allOf[1].Payload.activeCodes[].contextObjectIDinteger 예
$.oneOf[0].allOf[1].Payload.activeCodes[].isInviteCreditExemptboolean 예
$.oneOf[0].allOf[1].Payload.activeCodes[].invitePurposestring ["","beta_access","generic_invite","board_secretary","board_membership"] 예
$.oneOf[0].allOf[1].Payload.activeCodes[].contextTypestring ["","board"] 예
$.oneOf[0].allOf[1].Payload.activeCodes[].presetProfileIntentstring ["","buy","sell","socialize","location-partner"] 예
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayloadInviteContext 예
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0]object 예
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].boardIdinteger 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities.anyOf[0]array 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities.anyOf[0][]string ["invite","read","write","delete","move","schedule","polls","moderate"] 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities.anyOf[1]string 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities.anyOf[2]object 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities.anyOf[2].* 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities.anyOf[2].*.anyOf[0]boolean 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities.anyOf[2].*.anyOf[1]integer 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities.anyOf[2].*.anyOf[2]string 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].profileImageMediaIDDatabaseInteger 아니요Integer value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].profileImageMediaID.oneOf[0]integer 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].profileImageMediaID.oneOf[1]string 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].bannerImageMediaIDDatabaseInteger 아니요Integer value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].bannerImageMediaID.oneOf[0]integer 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].bannerImageMediaID.oneOf[1]string 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*InviteContextJSONValue 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*.anyOf[0]null 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*.anyOf[1]string 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*.anyOf[2]number 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*.anyOf[3]boolean 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*.anyOf[4]array 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*.anyOf[4][]InviteContextJSONValue 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*.anyOf[5]object 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*.anyOf[5].*InviteContextJSONValue 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1]array 예
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][]InviteContextJSONValue 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][].anyOf[0]null 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][].anyOf[1]string 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][].anyOf[2]number 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][].anyOf[3]boolean 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][].anyOf[4]array 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][].anyOf[4][]InviteContextJSONValue 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][].anyOf[5]object 아니요
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][].anyOf[5].*InviteContextJSONValue 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodesarray 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[]object 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].codestring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].formattedCodestring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].inviteURLstring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].createdDatestring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].createdDateLabelstring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].issuedToAliasstring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].issuedToEmailstring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].issuedToLabelstring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].issuedToProfileURLstring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].issuedByAliasstring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].issueSourcestring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].idinteger 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].issuedToUserIDinteger 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].issuedByUserIDinteger 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextObjectIDinteger 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].isInviteCreditExemptboolean 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].invitePurposestring ["","beta_access","generic_invite","board_secretary","board_membership"] 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextTypestring ["","board"] 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].presetProfileIntentstring ["","buy","sell","socialize","location-partner"] 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayloadInviteContext 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0]object 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].boardIdinteger 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities.anyOf[0]array 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities.anyOf[0][]string ["invite","read","write","delete","move","schedule","polls","moderate"] 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities.anyOf[1]string 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities.anyOf[2]object 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities.anyOf[2].* 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities.anyOf[2].*.anyOf[0]boolean 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities.anyOf[2].*.anyOf[1]integer 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities.anyOf[2].*.anyOf[2]string 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].profileImageMediaIDDatabaseInteger 아니요Integer value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].profileImageMediaID.oneOf[0]integer 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].profileImageMediaID.oneOf[1]string 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].bannerImageMediaIDDatabaseInteger 아니요Integer value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].bannerImageMediaID.oneOf[0]integer 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].bannerImageMediaID.oneOf[1]string 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*InviteContextJSONValue 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*.anyOf[0]null 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*.anyOf[1]string 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*.anyOf[2]number 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*.anyOf[3]boolean 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*.anyOf[4]array 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*.anyOf[4][]InviteContextJSONValue 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*.anyOf[5]object 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*.anyOf[5].*InviteContextJSONValue 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1]array 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][]InviteContextJSONValue 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][].anyOf[0]null 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][].anyOf[1]string 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][].anyOf[2]number 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][].anyOf[3]boolean 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][].anyOf[4]array 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][].anyOf[4][]InviteContextJSONValue 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][].anyOf[5]object 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][].anyOf[5].*InviteContextJSONValue 아니요
$.oneOf[0].allOf[1].Payload.redeemedCodes[].redeemedByUserIDinteger 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].redeemedByAliasstring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].redeemedByAvatarstring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].redeemedByProfileURLstring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].redeemedDatestring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].redeemedDateLabelstring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].redeemSourcestring 예
$.oneOf[0].allOf[1].Payload.redeemedCodes[].isSignupCreditGrantedboolean 예
$.oneOf[1]object 예
$.oneOf[1].RequestUserAliasstring 예
$.oneOf[1].RequestPathstring | null 예
$.oneOf[1].RequestStatus = "Failed" 예
$.oneOf[1].ResponseCodeinteger 예
$.oneOf[1].ResponseMessageAPIResponseMessage 예
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null 예
$.oneOf[1].ResponseMessage.oneOf[1]array 예
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage 아니요
$.oneOf[1].ResponseMessage.oneOf[2]object 예
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage 아니요
$.oneOf[1].RequestImpersonatedByUserAliasstring 아니요
응답 예제
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/beta_program/set_revoke_invite_code",
    "RequestUserAlias": "example-user",
    "Payload": {
        "baseCredits": 0,
        "signupCredits": 0,
        "redeemedReturnCredits": 0,
        "issuedInviteCount": 0,
        "unusedInviteCount": 0,
        "redeemedCount": 0,
        "invitesLeft": 0,
        "invitesLeftLabel": "synthetic-example",
        "sidebarLabel": "synthetic-example",
        "activeCodes": [],
        "redeemedCodes": []
    }
}
기계가 읽을 수 있는 엔드포인트 문서